Package opennlp.tools.cmdline.langdetect

# Class LanguageDetectorEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<LanguageSample>
opennlp.tools.cmdline.langdetect.LanguageDetectorEvaluationErrorListener

All Implemented Interfaces:
  `LanguageDetectorEvaluationMonitor`, `EvaluationMonitor<LanguageSample>`

public class LanguageDetectorEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<LanguageSample> implements LanguageDetectorEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageDetectorEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `LanguageDetectorEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(LanguageSample reference, LanguageSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### LanguageDetectorEvaluationErrorListener

    public LanguageDetectorEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### LanguageDetectorEvaluationErrorListener

    public LanguageDetectorEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`

- ## Method Details

  - ### misclassified

    public void misclassified(LanguageSample reference, LanguageSample prediction)
    Specified by:
      `misclassified` in interface `EvaluationMonitor<LanguageSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<LanguageSample>`